package com.gxzc.zen.umps.filter

import org.apache.shiro.web.filter.authz.PermissionsAuthorizationFilter
import org.springframework.http.HttpMethod
import javax.servlet.ServletRequest
import javax.servlet.ServletResponse
import javax.servlet.http.HttpServletRequest

/**
 *
 * @author NorthLan
 * @date 2018/4/25
 * @url https://noahlan.com
 */
class UrlPermissionsFilter : PermissionsAuthorizationFilter() {
    override fun isAccessAllowed(request: ServletRequest, response: ServletResponse, mappedValue: Any?): Boolean {
        if (request is HttpServletRequest) {
            if (HttpMethod.valueOf(request.method) == HttpMethod.OPTIONS) {
                return true
            }
        }
        return super.isAccessAllowed(request, response, mappedValue)
    }
}